package Reference;

#inherit common methods from the MicroDB class
use base ("MicrobeDB");
use DBI;

use strict;
use warnings;
use Carp;

#our $AUTOLOAD;


my @reference = qw(
  ref_id
  gp_id
  ref_source
  ref_value
  ref_url
  ref_comment
);

my @FIELDS = (@reference);

sub new {
	my ( $class, %arg ) = @_;

	#Bless an anonymous empty hash
	my $self = bless {}, $class;

	#Fill all of the keys with the fields
	foreach (@FIELDS) {
		$self->{$_} = undef;
	}

	#Set each attribute that is given as an arguement
	foreach ( keys(%arg) ) {
		$self->$_( $arg{$_} );
	}

	return $self;
}



1;


